<?php
session_start();	 	
require_once 'Google/Config.php';
require_once 'Google/Auth/AssertionCredentials.php';
require_once 'Google/Auth/OAuth2.php';
require_once 'Google/Client.php';
require_once 'Google/Service.php';
require_once 'Google/Model.php';
require_once 'Google/Collection.php';
require_once 'Google/Service/Resource.php';
require_once 'Google/Service/Calendar.php';	 
	
$start = date(DateTime::ATOM, mktime(0,0,0,date('m'), date('d'), date('Y')));
$maxResults = '10';
if(isset($_GET['maxResults'])) { $maxResults = $_GET['maxResults']; }
if(!isset($_GET['Email_address'])) { $aResult['error'] = 'No Service Account Email address'; }
if(!isset($_GET['key_file_location'])) { $aResult['error'] = 'No key file location'; }
if(!isset($_GET['targetCalendar'])) { $aResult['error'] = 'No target calendar'; }

if(!isset($aResult['error']) ) {
	$Email_address = $_GET['Email_address'];	 
	$key_file_location = $_GET['key_file_location'];
	$targetCalendar = $_GET['targetCalendar'];

	$client = new Google_Client();	 	
	$client->setApplicationName("Client_Library_Examples");
	$key = file_get_contents($key_file_location);	 
	$scopes ="https://www.googleapis.com/auth/calendar"; 	
	$cred = new Google_Auth_AssertionCredentials(	 
		$Email_address,	 	 
		array($scopes),	 	
		$key	 	 
	);
	$client->setAssertionCredentials($cred);
	if($client->getAuth()->isAccessTokenExpired()) {	 	
		$client->getAuth()->refreshTokenWithAssertion($cred);	 	
	}	 	
	$service = new Google_Service_Calendar($client);	

	$optParams = array(
		'singleEvents' => True,
		'orderBy' => "startTime",
		'maxResults' => $maxResults,
		'timeMin' => $start
	);
	$events	= $service->events->listEvents($targetCalendar, $optParams);

	$aResult = array();
	$i = 0;
	foreach ($events->getItems() as $event) {
		if (($event->getStart()->getDate())!= NULL) {
			$eventDate = $event->getStart()->date;
			$eventTimeStart = '';
			$eventTimeEnd = '';
		} else {
			$eventDate = (new DateTime($event->getStart()->getDateTime()))->format('Y-m-d');
			$eventTimeStart = (new DateTime($event->getStart()->getDateTime()))->format('H:i');
			$eventTimeEnd = (new DateTime($event->getEnd()->getDateTime()))->format('H:i');
		}
		$aResult[$i] = array(
			'summary' => $event->getSummary(),
			'eventDate' => $eventDate,
			'eventTimeStart' => $eventTimeStart,
			'eventTimeEnd' => $eventTimeEnd
		);
		$i++;
	}
}
header('Content-Type: application/json');
echo json_encode($aResult);
?>
